#ifndef PATH_H
#define PATH_H

#include "main.h"

#cmakedefine USE_MAGICK
#define APPNAME         "@APPNAME@"
#ifdef __WIN32__
	#define PATH_DIR        "data" PATH_SEPARATOR
#else 
	#define PATH_DIR        "@CMAKE_DATA_PATH@"  PATH_SEPARATOR  APPNAME PATH_SEPARATOR
#endif
#define TUXANCI_VERSION		"@TUXANCI_VERSION@"
#define PREFIX			"@CMAKE_INSTALL_PREFIX@" PATH_SEPARATOR
#ifdef PUBLIC_SERVER
	#define SERVER_CONFIG	"@CMAKE_CONF_PATH@" PATH_SEPARATOR	APPNAME	PATH_SEPARATOR "server.conf"
#endif /* PUBLIC_SERVER */
#define PATH_IMAGE		PATH_DIR		"images" PATH_SEPARATOR
#define PATH_ARENA		PATH_DIR		"arena" PATH_SEPARATOR
#define PATH_SOUND		PATH_DIR		"sound" PATH_SEPARATOR
#define PATH_MUSIC		PATH_DIR		"music" PATH_SEPARATOR
#define PATH_LOCALE		"@CMAKE_LOCALE_PATH@"	PATH_SEPARATOR
#define PATH_DOC		"@CMAKE_DOC_PATH@"	PATH_SEPARATOR
#define PACKAGE			APPNAME

#endif /* PATH_H */
